Update Applicant: Buildium
https://api.propexo.com/v1/applicants/buildium/:id| Interface | Method |
|---|---|
| Applicants | PUT /applicants/:applicantId |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
The last name associated with the applicant
The first name associated with the applicant
The Propexo unique identifier for the unit
The primary email address associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the applicant
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXResponse
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the applicant
The last name associated with the applicant
The first name associated with the applicant
The Propexo unique identifier for the unit
The primary email address associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the applicant
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/buildium/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"unit_id": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"unit_id": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}